## org.eclipse.datatools.connectivity.oda.design
Interface InputElementAttributes

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface InputElementAttributes

extends org.eclipse.emf.ecore.EObject

Common attributes for a data element defined with the input mode.

The following features are supported:

- `Default Scalar Value`
- `Default Values`
- `Editable`
- `Optional`
- `Masks Value`
- `Static Value Choices`
- `Dynamic Value Choices`
- `Ui Hints`

See Also:
  `DesignPackage.getInputElementAttributes()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`void` `addDefaultValue(java.lang.Object aValue)` Appends the specified value to the list of default values.
`java.lang.String` `getDefaultScalarValue()` Deprecated. replaced by `getDefaultValues()` as of 3.2 (DTP 1.7)
`int` `getDefaultValueCount()` Gets the number of default values specified.
`StaticValues` `getDefaultValues()` Returns the value of the 'Default Values' containment reference.
`DynamicValuesQuery` `getDynamicValueChoices()` Returns the value of the 'Dynamic Value Choices' containment reference.
`ScalarValueChoices` `getStaticValueChoices()` Returns the value of the 'Static Value Choices' containment reference.
`InputElementUIHints` `getUiHints()` Returns the value of the 'Ui Hints' containment reference.
`boolean` `hasValueChoices()` Indicates whether this input element has either static or dynamic value choices defined.
`boolean` `isEditable()` Returns the value of the 'Editable' attribute.
`boolean` `isMasksValue()` Returns the value of the 'Masks Value' attribute.
`boolean` `isOptional()` Returns the value of the 'Optional' attribute.
`boolean` `isSetEditable()` Returns whether the value of the '`Editable`' attribute is set.
`boolean` `isSetMasksValue()` Returns whether the value of the '`Masks Value`' attribute is set.
`boolean` `isSetOptional()` Returns whether the value of the '`Optional`' attribute is set.
`void` `setDefaultScalarValue(java.lang.String value)` Deprecated. replaced by `setDefaultValues(StaticValues)` as of 3.2 (DTP 1.7)
`void` `setDefaultValues(StaticValues value)` Sets the value of the '`Default Values`' containment reference.
`void` `setDynamicValueChoices(DynamicValuesQuery value)` Sets the value of the '`Dynamic Value Choices`' containment reference.
`void` `setEditable(boolean value)` Sets the value of the '`Editable`' attribute.
`void` `setMasksValue(boolean value)` Sets the value of the '`Masks Value`' attribute.
`void` `setOptional(boolean value)` Sets the value of the '`Optional`' attribute.
`void` `setStaticValueChoices(ScalarValueChoices value)` Sets the value of the '`Static Value Choices`' containment reference.
`void` `setUiHints(InputElementUIHints value)` Sets the value of the '`Ui Hints`' containment reference.
`void` `setUiPromptStyle(InputPromptControlStyle value)` Sets the value of the Prompt Style attribute in the element's UI hints.
`void` `unsetEditable()` Unsets the value of the '`Editable`' attribute.
`void` `unsetMasksValue()` Unsets the value of the '`Masks Value`' attribute.
`void` `unsetOptional()` Unsets the value of the '`Optional`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### hasValueChoices

    boolean hasValueChoices()

  Indicates whether this input element has either static or dynamic value choices defined.

  Returns:
    true if any type of value choices is defined
  See Also:
    `getStaticValueChoices()`, `getDynamicValueChoices()`

### getDefaultScalarValue

    java.lang.String getDefaultScalarValue()

  Deprecated. replaced by `getDefaultValues()` as of 3.2 (DTP 1.7)

  Returns the value of the 'Default Scalar Value' attribute. The literal string value to be used as the data element's default input value. Only applies to a scalar input data element.

  Returns:
    the value of the 'Default Scalar Value' attribute.
  See Also:
    `setDefaultScalarValue(String)`, `DesignPackage.getInputElementAttributes_DefaultScalarValue()`

### setDefaultScalarValue

    void setDefaultScalarValue(java.lang.String value)

  Deprecated. replaced by `setDefaultValues(StaticValues)` as of 3.2 (DTP 1.7)

  Sets the value of the '`Default Scalar Value`' attribute.

  Parameters:
    `value` - the new value of the 'Default Scalar Value' attribute.
  See Also:
    `getDefaultScalarValue()`

### getDefaultValues

    StaticValues getDefaultValues()

  Returns the value of the 'Default Values' containment reference. An optional collection of default input values. If defined, this element overrides the deprecated defaultScalarValue element.

  Returns:
    the value of the 'Default Values' containment reference.
  Since:
    3.2 (DTP 1.7)
  See Also:
    `setDefaultValues(StaticValues)`, `DesignPackage.getInputElementAttributes_DefaultValues()`

### setDefaultValues

    void setDefaultValues(StaticValues value)

  Sets the value of the '`Default Values`' containment reference.

  Parameters:
    `value` - the new value of the 'Default Values' containment reference.
  Since:
    3.2 (DTP 1.7)
  See Also:
    `getDefaultValues()`

### getDefaultValueCount

    int getDefaultValueCount()

  Gets the number of default values specified.

  Returns:
    number of default values
  Since:
    3.2 (DTP 1.7)

### addDefaultValue

    void addDefaultValue(java.lang.Object aValue)

  Appends the specified value to the list of default values. It is the responsibility of the caller to ensure compatible type of value object is added to the list.

  Parameters:
    `aValue` - a value to add; may be null
  Since:
    3.2 (DTP 1.7)

### isEditable

    boolean isEditable()

  Returns the value of the 'Editable' attribute. The default value is `"true"`. Indicates whether this element value is editable or read-only in the host designer. A host designer can further design whether to hide this attribute. Applicable only if its container is visible, e.g. for public properties and input parameters.

  Returns:
    the value of the 'Editable' attribute.
  See Also:
    `isSetEditable()`, `unsetEditable()`, `setEditable(boolean)`, `DesignPackage.getInputElementAttributes_Editable()`

### setEditable

    void setEditable(boolean value)

  Sets the value of the '`Editable`' attribute.

  Parameters:
    `value` - the new value of the 'Editable' attribute.
  See Also:
    `isSetEditable()`, `unsetEditable()`, `isEditable()`

### unsetEditable

    void unsetEditable()

  Unsets the value of the '`Editable`' attribute.

  See Also:
    `isSetEditable()`, `isEditable()`, `setEditable(boolean)`

### isSetEditable

    boolean isSetEditable()

  Returns whether the value of the '`Editable`' attribute is set.

  Returns:
    whether the value of the 'Editable' attribute is set.
  See Also:
    `unsetEditable()`, `isEditable()`, `setEditable(boolean)`

### isOptional

    boolean isOptional()

  Returns the value of the 'Optional' attribute. The default value is `"false"`. Indicates whether the element requires an input value.

  Returns:
    the value of the 'Optional' attribute.
  See Also:
    `isSetOptional()`, `unsetOptional()`, `setOptional(boolean)`, `DesignPackage.getInputElementAttributes_Optional()`

### setOptional

    void setOptional(boolean value)

  Sets the value of the '`Optional`' attribute.

  Parameters:
    `value` - the new value of the 'Optional' attribute.
  See Also:
    `isSetOptional()`, `unsetOptional()`, `isOptional()`

### unsetOptional

    void unsetOptional()

  Unsets the value of the '`Optional`' attribute.

  See Also:
    `isSetOptional()`, `isOptional()`, `setOptional(boolean)`

### isSetOptional

    boolean isSetOptional()

  Returns whether the value of the '`Optional`' attribute is set.

  Returns:
    whether the value of the 'Optional' attribute is set.
  See Also:
    `unsetOptional()`, `isOptional()`, `setOptional(boolean)`

### isMasksValue

    boolean isMasksValue()

  Returns the value of the 'Masks Value' attribute. The default value is `"false"`. Indicates whether input value should be masked or encrypted in persistent store and any UI display. Applies to default value as well.

  Returns:
    the value of the 'Masks Value' attribute.
  See Also:
    `isSetMasksValue()`, `unsetMasksValue()`, `setMasksValue(boolean)`, `DesignPackage.getInputElementAttributes_MasksValue()`

### setMasksValue

    void setMasksValue(boolean value)

  Sets the value of the '`Masks Value`' attribute.

  Parameters:
    `value` - the new value of the 'Masks Value' attribute.
  See Also:
    `isSetMasksValue()`, `unsetMasksValue()`, `isMasksValue()`

### unsetMasksValue

    void unsetMasksValue()

  Unsets the value of the '`Masks Value`' attribute.

  See Also:
    `isSetMasksValue()`, `isMasksValue()`, `setMasksValue(boolean)`

### isSetMasksValue

    boolean isSetMasksValue()

  Returns whether the value of the '`Masks Value`' attribute is set.

  Returns:
    whether the value of the 'Masks Value' attribute is set.
  See Also:
    `unsetMasksValue()`, `isMasksValue()`, `setMasksValue(boolean)`

### getStaticValueChoices

    ScalarValueChoices getStaticValueChoices()

  Returns the value of the 'Static Value Choices' containment reference.

  Returns:
    the value of the 'Static Value Choices' containment reference.
  See Also:
    `setStaticValueChoices(ScalarValueChoices)`, `DesignPackage.getInputElementAttributes_StaticValueChoices()`

### setStaticValueChoices

    void setStaticValueChoices(ScalarValueChoices value)

  Sets the value of the '`Static Value Choices`' containment reference.

  Parameters:
    `value` - the new value of the 'Static Value Choices' containment reference.
  See Also:
    `getStaticValueChoices()`

### getDynamicValueChoices

    DynamicValuesQuery getDynamicValueChoices()

  Returns the value of the 'Dynamic Value Choices' containment reference.

  Returns:
    the value of the 'Dynamic Value Choices' containment reference.
  See Also:
    `setDynamicValueChoices(DynamicValuesQuery)`, `DesignPackage.getInputElementAttributes_DynamicValueChoices()`

### setDynamicValueChoices

    void setDynamicValueChoices(DynamicValuesQuery value)

  Sets the value of the '`Dynamic Value Choices`' containment reference.

  Parameters:
    `value` - the new value of the 'Dynamic Value Choices' containment reference.
  See Also:
    `getDynamicValueChoices()`

### getUiHints

    InputElementUIHints getUiHints()

  Returns the value of the 'Ui Hints' containment reference.

  Returns:
    the value of the 'Ui Hints' containment reference.
  See Also:
    `setUiHints(InputElementUIHints)`, `DesignPackage.getInputElementAttributes_UiHints()`

### setUiHints

    void setUiHints(InputElementUIHints value)

  Sets the value of the '`Ui Hints`' containment reference.

  Parameters:
    `value` - the new value of the 'Ui Hints' containment reference.
  See Also:
    `getUiHints()`

### setUiPromptStyle

    void setUiPromptStyle(InputPromptControlStyle value)

  Sets the value of the Prompt Style attribute in the element's UI hints.

  Parameters:
    `value` - the new value of the 'Prompt Style' attribute.
  See Also:
    `InputPromptControlStyle`, `setUiHints(InputElementUIHints)`